Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 226407 - net-misc/ndtpd: autoconf is called directly
Summary: net-misc/ndtpd: autoconf is called directly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2008-06-13 20:03 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-06-21 15:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-13 20:03:08 UTC
Please use eautoreconf from autotools.eclass
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-13 20:03:24 UTC
Wrong dep.
Comment 2 Hans de Graaff gentoo-dev 2008-06-14 05:57:19 UTC
This now seems to be part of another package: http://www.sra.co.jp/people/m-kasahr/ebnetd/index.html

Comment 3 Ryan Hill (RETIRED) gentoo-dev 2008-06-21 15:05:05 UTC
fixed this and a header issue, however portage still bitches.

 * QA Notice: Automake "maintainer mode" detected:
 *
 *              if (/bin/sh /var/tmp/portage/net-misc/ndtpd-3.1.5/work/ndtpd-3.1.5/missing --run makeinfo --version) >/dev/null 2>&1; then \
 *              if /bin/sh /var/tmp/portage/net-misc/ndtpd-3.1.5/work/ndtpd-3.1.5/missing --run makeinfo   -I . \
 *              if (/bin/sh /var/tmp/portage/net-misc/ndtpd-3.1.5/work/ndtpd-3.1.5/missing --run makeinfo --version) >/dev/null 2>&1; then \
 *              if /bin/sh /var/tmp/portage/net-misc/ndtpd-3.1.5/work/ndtpd-3.1.5/missing --run makeinfo   -I . \
 *
 * If you patch Makefile.am, configure.in,  or configure.ac then you
 * should use autotools.eclass and eautomake or eautoreconf. Exceptions
 * are limited to system packages for which it is impossible to run
 * autotools during stage building. See
 * http://www.gentoo.org/proj/en/qa/autofailure.xml for more information.


If someone wants to fix it go ahead.  I'd rather this package be removed.